"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Clipper = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const AbsoluteFill_1 = require("./AbsoluteFill");
const CompositionManager_1 = require("./CompositionManager");
const Clipper = ({ height, width, x, y, hide, children }) => {
    const context = (0, react_1.useContext)(CompositionManager_1.CompositionManager);
    (0, react_1.useEffect)(() => {
        context.setClipRegion({ height, hide: Boolean(hide), width, x, y });
        return () => {
            context.setClipRegion(null);
        };
    }, [context, height, hide, width, x, y]);
    return (0, jsx_runtime_1.jsx)(AbsoluteFill_1.AbsoluteFill, { children: children });
};
exports.Clipper = Clipper;
