/// <reference types="react" />
import type { Configuration } from 'webpack';
import type { CompProps } from './Composition';
import type { CompositionManagerContext, TAsset, TCompMetadata, TComposition, TSequence } from './CompositionManager';
import * as CSSUtils from './default-css';
import type { RemotionEnvironment } from './get-environment';
import type { SetTimelineContextValue, TimelineContextValue } from './timeline-position-state';
import * as TimelinePosition from './timeline-position-state';
import { truthy } from './truthy';
import type { MediaVolumeContextValue, SetMediaVolumeContextValue } from './volume-position-state';
import { useRemotionContexts } from './wrap-remotion-context';
declare const Timeline: typeof TimelinePosition;
export declare const Internals: {
    useUnsafeVideoConfig: () => import("./video-config").VideoConfig | null;
    Timeline: typeof TimelinePosition;
    CompositionManager: import("react").Context<CompositionManagerContext>;
    RemotionRoot: import("react").FC<{
        children: import("react").ReactNode;
        numberOfAudioTags: number;
    }>;
    useVideo: () => {
        height: number;
        width: number;
        fps: number;
        durationInFrames: number;
        defaultProps: unknown;
        id: string;
        folderName: string | null;
        parentFolderName: string | null;
        component: import("react").LazyExoticComponent<import("react").ComponentType<unknown>>;
        nonce: number;
    } | null;
    getRoot: () => import("react").FC<{}> | null;
    useMediaVolumeState: () => readonly [number, (u: number) => void];
    useMediaMutedState: () => readonly [boolean, (u: import("react").SetStateAction<boolean>) => void];
    useLazyComponent: <T>(compProps: CompProps<T>) => import("react").ExoticComponent<(import("react").PropsWithoutRef<T> & import("react").RefAttributes<import("react").Component<T, any, any>>) | import("react").PropsWithRef<T>> & {
        readonly _result: import("react").ComponentType<T>;
    };
    truthy: typeof truthy;
    SequenceContext: import("react").Context<import("./Sequence").SequenceContextType | null>;
    useRemotionContexts: typeof useRemotionContexts;
    RemotionContextProvider: (props: import("./wrap-remotion-context").RemotionContextProviderProps) => JSX.Element;
    CSSUtils: typeof CSSUtils;
    setupEnvVariables: () => void;
    ENV_VARIABLES_ENV_NAME: "ENV_VARIABLES";
    MediaVolumeContext: import("react").Context<MediaVolumeContextValue>;
    SetMediaVolumeContext: import("react").Context<SetMediaVolumeContextValue>;
    validateDurationInFrames: (durationInFrames: number, component: string) => void;
    validateFps: (fps: number, location: string, isGif: boolean) => void;
    validateDimension: (amount: number, nameOfProp: string, location: string) => void;
    getRemotionEnvironment: () => RemotionEnvironment;
    SharedAudioContext: import("react").Context<{
        registerAudio: (aud: import("./audio").RemotionAudioProps, audioId: string) => {
            id: number;
            props: import("./audio").RemotionAudioProps;
            el: import("react").RefObject<HTMLAudioElement>;
            audioId: string;
        };
        unregisterAudio: (id: number) => void;
        updateAudio: (id: number, aud: import("./audio").RemotionAudioProps) => void;
        playAllAudios: () => void;
        numberOfAudioTags: number;
    } | null>;
    SharedAudioContextProvider: import("react").FC<{
        numberOfAudioTags: number;
        children: import("react").ReactNode;
    }>;
    invalidCompositionErrorMessage: string;
    isCompositionIdValid: (id: string) => RegExpMatchArray | null;
    getPreviewDomElement: () => HTMLElement | null;
    compositionsRef: import("react").RefObject<{
        getCompositions: () => TCompMetadata[];
    }>;
    DELAY_RENDER_CALLSTACK_TOKEN: string;
    portalNode: () => HTMLElement;
    waitForRoot: (fn: (comp: import("react").FC<{}>) => void) => () => void;
    validateOffthreadVideoImageFormat: (input: unknown) => void;
    CanUseRemotionHooksProvider: import("react").FC<{
        children: import("react").ReactNode;
    }>;
    CanUseRemotionHooks: import("react").Context<boolean>;
    enableLegacyRemotionConfig: () => void;
    PrefetchProvider: import("react").FC<{
        children: import("react").ReactNode;
    }>;
    DurationsContextProvider: import("react").FC<{
        children: import("react").ReactNode;
    }>;
};
declare type WebpackConfiguration = Configuration;
declare type WebpackOverrideFn = (currentConfiguration: WebpackConfiguration) => WebpackConfiguration;
export type { TComposition, Timeline, TCompMetadata, TSequence, WebpackOverrideFn, WebpackConfiguration, TAsset, TimelineContextValue, SetTimelineContextValue, CompProps, CompositionManagerContext, MediaVolumeContextValue, SetMediaVolumeContextValue, RemotionEnvironment, };
